ExpressionImpl (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.ejb.criteria.expression
Class ExpressionImpl<T>

    java.lang.Object
      org.hibernate.ejb.criteria.AbstractNode
          org.hibernate.ejb.criteria.expression.AbstractTupleElement<X>
              org.hibernate.ejb.criteria.expression.SelectionImpl<T>
                  org.hibernate.ejb.criteria.expression.ExpressionImpl<T>

All Implemented Interfaces:
  Serializable, Expression<T>, Selection<T>, TupleElement<T>, ExpressionImplementor<T>, ParameterContainer, Renderable, SelectionImplementor<T>, TupleElementImplementor<T>

Direct Known Subclasses:
  AbstractPathImpl, AbstractPredicateImpl, BasicFunctionExpression, BinaryArithmeticOperation, CoalesceExpression, ConcatExpression, CriteriaSubqueryImpl, EntityTypeExpression, ListIndexExpression, LiteralExpression, MapEntryExpression, NullifExpression, NullLiteralExpression, ParameterExpressionImpl, PathTypeExpression, SearchedCaseExpression, SimpleCaseExpression, SizeOfCollectionExpression, SubqueryComparisonModifierExpression, UnaryArithmeticOperation

    public abstract class ExpressionImpl<T>

extends SelectionImpl<T>
implements ExpressionImplementor<T>, Serializable

Models an expression in the criteria query language.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from interface org.hibernate.ejb.criteria.ParameterContainer
`ParameterContainer.Helper`

Constructor Summary
`ExpressionImpl(CriteriaBuilderImpl criteriaBuilder, Class<T> javaType)`

Method Summary
`
`<X> Expression<X>`
` | `as(Class<X> type)`
`ExpressionImplementor<BigDecimal>` | `asBigDecimal()` See `CriteriaBuilder.toBigDecimal(javax.persistence.criteria.Expression)`
`ExpressionImplementor<BigInteger>` | `asBigInteger()` See `CriteriaBuilder.toBigInteger(javax.persistence.criteria.Expression)`
`ExpressionImplementor<Double>` | `asDouble()` See `CriteriaBuilder.toDouble(javax.persistence.criteria.Expression)`
`ExpressionImplementor<Float>` | `asFloat()` See `CriteriaBuilder.toFloat(javax.persistence.criteria.Expression)`
`ExpressionImplementor<Integer>` | `asInteger()` See `CriteriaBuilder.toInteger(javax.persistence.criteria.Expression)`
`ExpressionImplementor<Long>` | `asLong()` See `CriteriaBuilder.toLong(javax.persistence.criteria.Expression)`
`ExpressionImplementor<String>` | `asString()` See `CriteriaBuilder.toString(javax.persistence.criteria.Expression)`
`Predicate` | `in(Collection<?> values)`
`Predicate` | `in(Expression<?>... values)`
`Predicate` | `in(Expression<Collection<?>> values)`
`Predicate` | `in(Object... values)`
`Predicate` | `isNotNull()`
`Predicate` | `isNull()`

Methods inherited from class org.hibernate.ejb.criteria.expression.SelectionImpl
`alias, getCompoundSelectionItems, getValueHandlers, isCompoundSelection`

Methods inherited from class org.hibernate.ejb.criteria.expression.AbstractTupleElement
`forceConversion, getAlias, getJavaType, getValueHandler, resetJavaType, setAlias`

Methods inherited from class org.hibernate.ejb.criteria.AbstractNode
`criteriaBuilder`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.hibernate.ejb.criteria.SelectionImplementor
`getValueHandlers`

Methods inherited from interface org.hibernate.ejb.criteria.TupleElementImplementor
`getValueHandler`

Methods inherited from interface javax.persistence.criteria.Selection
`alias, getCompoundSelectionItems, isCompoundSelection`

Methods inherited from interface javax.persistence.TupleElement
`getAlias, getJavaType`

Methods inherited from interface org.hibernate.ejb.criteria.Renderable
`render, renderProjection`

Methods inherited from interface org.hibernate.ejb.criteria.ParameterContainer
`registerParameters`

Constructor Detail

### ExpressionImpl

    public ExpressionImpl(CriteriaBuilderImpl criteriaBuilder,
                          Class<T> javaType)

Method Detail

### as

    public <X> Expression<X> as(Class<X> type)

  Specified by:
    `as` in interface `Expression<T>`

### isNull

    public Predicate isNull()

  Specified by:
    `isNull` in interface `Expression<T>`

### isNotNull

    public Predicate isNotNull()

  Specified by:
    `isNotNull` in interface `Expression<T>`

### in

    public Predicate in(Object... values)

  Specified by:
    `in` in interface `Expression<T>`

### in

    public Predicate in(Expression<?>... values)

  Specified by:
    `in` in interface `Expression<T>`

### in

    public Predicate in(Collection<?> values)

  Specified by:
    `in` in interface `Expression<T>`

### in

    public Predicate in(Expression<Collection<?>> values)

  Specified by:
    `in` in interface `Expression<T>`

### asLong

    public ExpressionImplementor<Long> asLong()

  See `CriteriaBuilder.toLong(javax.persistence.criteria.Expression)`

  Specified by:
    `asLong` in interface `ExpressionImplementor<T>`
  Returns:
    `this` but as a long

### asInteger

    public ExpressionImplementor<Integer> asInteger()

  See `CriteriaBuilder.toInteger(javax.persistence.criteria.Expression)`

  Specified by:
    `asInteger` in interface `ExpressionImplementor<T>`
  Returns:
    `this` but as an integer

### asFloat

    public ExpressionImplementor<Float> asFloat()

  See `CriteriaBuilder.toFloat(javax.persistence.criteria.Expression)`

  Specified by:
    `asFloat` in interface `ExpressionImplementor<T>`
  Returns:
    `this` but as a float

### asDouble

    public ExpressionImplementor<Double> asDouble()

  See `CriteriaBuilder.toDouble(javax.persistence.criteria.Expression)`

  Specified by:
    `asDouble` in interface `ExpressionImplementor<T>`
  Returns:
    `this` but as a double

### asBigDecimal

    public ExpressionImplementor<BigDecimal> asBigDecimal()

  See `CriteriaBuilder.toBigDecimal(javax.persistence.criteria.Expression)`

  Specified by:
    `asBigDecimal` in interface `ExpressionImplementor<T>`
  Returns:
    `this` but as a `BigDecimal`

### asBigInteger

    public ExpressionImplementor<BigInteger> asBigInteger()

  See `CriteriaBuilder.toBigInteger(javax.persistence.criteria.Expression)`

  Specified by:
    `asBigInteger` in interface `ExpressionImplementor<T>`
  Returns:
    `this` but as a `BigInteger`

### asString

    public ExpressionImplementor<String> asString()

  See `CriteriaBuilder.toString(javax.persistence.criteria.Expression)`

  Specified by:
    `asString` in interface `ExpressionImplementor<T>`
  Returns:
    `this` but as a string

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.